com.verisign.epp.util

## Class EPPSchemaParsingEntityResolver

- java.lang.Object
- - com.verisign.epp.util.EPPSchemaParsingEntityResolver

- All Implemented Interfaces:
    org.apache.xerces.xni.parser.XMLEntityResolver

      public class EPPSchemaParsingEntityResolver
      extends java.lang.Object
      implements org.apache.xerces.xni.parser.XMLEntityResolver

  Title:

  Description:

  Copyright: Copyright (c) 2003

  Company:

  Version:
    1.0
  Author:
    not attributable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPSchemaParsingEntityResolver()` Creates a new EPPSchemaParsingEntityResolver object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.xni.parser.XMLInputSource` | `resolveEntity(org.apache.xerces.xni.XMLResourceIdentifier aXMLResourceIdentifier)` Resolves the entity passed in when parsing the instance document.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPSchemaParsingEntityResolver

          public EPPSchemaParsingEntityResolver()

      Creates a new EPPSchemaParsingEntityResolver object.

  - ### Method Detail

    - #### resolveEntity

          public org.apache.xerces.xni.parser.XMLInputSource resolveEntity(org.apache.xerces.xni.XMLResourceIdentifier aXMLResourceIdentifier)
                                                                    throws org.apache.xerces.xni.XNIException,
                                                                           java.io.IOException

      Resolves the entity passed in when parsing the instance document. Will try to find the schema from the classpath.
      Specified by:
        `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
      Parameters:
        `aXMLResourceIdentifier` - DOCUMENT ME!
      Returns:
        DOCUMENT ME!
      Throws:
        `org.apache.xerces.xni.XNIException` - DOCUMENT ME!
        `java.io.IOException` - DOCUMENT ME!

Copyright © VeriSign Inc. All Rights Reserved.